Subject: Re: Last Call: <draft-ietf-iasa2-consolidated-upd-07.txt> (Consolidated IASA 2.0 Updates of IETF Administrative Terminology) to Best Current Practice

From: S Moonesamy <[email-masked]>
Date: Thu, 14 Mar 2019 08:26:59 -0700

Hi John,
At 02:31 PM 11-03-2019, The IESG wrote:
>The IESG has received a request from the IETF Administrative Support Activity
>2 WG (iasa2) to consider the following document: - 'Consolidated IASA 2.0
>Updates of IETF Administrative Terminology'
>   <draft-ietf-iasa2-consolidated-upd-07.txt> as Best Current Practice
>
>The IESG plans to make a decision in the next few weeks, and solicits final
>comments on this action. Please send substantive comments to the
>[email-masked] mailing lists by 2019-04-01. Exceptionally, comments may be

Section 2 only changes Section 3.3 of RFC 2028.  Are the other parts 
of that RFC still relevant?

Is the Managing Director still an ex-officio participant of the IESG?

Who will now be part of the IESG as defined in RFC 3710?  Is that RFC 
a "consensus" document [1]?

RFC 3929 is a 2004 experiment.  Is that experiment still in use after 
all those years?

RFC 4633 is a 2006 experiment.  Is it still in use?

As an overall comment, the "in-place" terminology updates make it 
confusing to understand all those RFCs.

Regards,
S. Moonesamy

1. The discussion points to it being an informational communication 
from the IESG.

---

From: John C Klensin <[email-masked]>
Date: Thu, 14 Mar 2019 14:47:15 -0400

(top post, partially about a more general issue)

Subramanian,

Since you addressed this to me, let me respond, at least in part.

First, I made it very clear throughout almost the entire process
that I volunteered to take on this document because observed,
and apparently convinced the WG, that completely replacing a
long list of documents in order to correct a few words such as a
job title--but generally not the underlying model-- was likely
to cause far more work and confusion than updating them in place
by a document that could be summarized as "if you read 'IETF
Executive Director' in anything published before the IASA2
transition started, something else is most likely intended and
here is where you go to check if that intent isn't clear".  But
I have been acting strictly as editor -- when the WG, as
interpreted by the co-chair or some other authority, has told me
to change something, I have.  

Since version-00 of the I-D was posted in mid-November, document
references and changes have been added to the I-D and taken back
out, documents have been listed as obsoleted and moved out of
that category, advice has been given to make some documents
Historic and then removed, etc.  The Change Log (which I just
noticed contains one nasty typo) reflects those changes at a
moderately detailed level and may prove instructive.

As particular examples, because one of the documents was
generated by the IAB, the decision was made that it should be
updated only by the IAB and not by an IETF-stream document.  And
I was instructed by the responsible AD and the author of one of
those long-untouched Experimental RFCs (who happens to be IAB
Chair) that it was inappropriate for this document to make those
(or even request that they be made) Historic because evaluating
and/or documenting the outcome of old experiments was not the
WG's job.  Most of those decisions were reflected in messages to
the WG list.

Because I was (and am) simply acting as editor, what I think
about those changes and whether they were appropriate or not is
mostly irrelevant.  So, if you have concerns, please take them
up with the WG and those who led, steered, and directed it.

As a personal aside, I think there are two theories about a
document like this, and ultimately the WG, whose intent as I've
understood it is to tidy up, and as necessary document, the
effects of recent (in this case, IETF LLC and IASA2.0) changes.
One, with which I mostly started, was to do that tidying,
interpret the charter intent broadly if needed, use the document
to minimize the need for extra work, get special signoffs on
specific provisions if needed and reflect those actions, and to
publish and move on.  The other is to interpret the WG's charter
narrowly and decide that, if an action is not within that scope,
a separate document and separate action (assuming action is
appropriate) is needed.  While I had a personal preference
coming into this, it may be rooted more in my view of IETF
historical patterns and behavior (a view that may be distorted
by my particular vision) than in present realities.  I'm trying
to not even have an opinion about which of those theories is a
better match for the IETF and the readership of the RFC Series
as it has evolved and is continuing to evolve.   The document at
this point is, IMO, closer to the second model than the first
one, but not all the way there.  

If, as editor, I've misinterpreted instructions from the WG, by
all means question that.  But, otherwise, remember that I'm just
the holder of the virtual pen.  And, as editor, I believe I can
report that everything, or substantially everything, on your
list was the result of explicit decisions.

best,
   john

--On Thursday, March 14, 2019 08:26 -0700 S Moonesamy
<[email-masked]> wrote:

>> The IESG has received a request from the IETF Administrative
>> Support Activity 2 WG (iasa2) to consider the following
>> document: - 'Consolidated IASA 2.0 Updates of IETF
>> Administrative Terminology'
>> The IESG plans to make a decision in the next few weeks, and
>> solicits final comments on this action. Please send
>> substantive comments to the [email-masked] mailing lists by
>> 2019-04-01. Exceptionally, comments may be
> 
> Section 2 only changes Section 3.3 of RFC 2028.  Are the other
> parts of that RFC still relevant?
> 
> Who will now be part of the IESG as defined in RFC 3710?  Is
> that RFC a "consensus" document [1]?
> 
> RFC 3929 is a 2004 experiment.  Is that experiment still in
> use after all those years?
> 
> As an overall comment, the "in-place" terminology updates make
> it confusing to understand all those RFCs.
> 
> Regards,
> S. Moonesamy
> 
> 1. The discussion points to it being an informational
> communication from the IESG.

---

From: S Moonesamy <[email-masked]>
Date: Thu, 14 Mar 2019 13:17:26 -0700

Hi John,
>Since you addressed this to me, let me respond, at least in part.

Thanks for the response.  I'll follow up with the WG Chairs.

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Thu, 14 Mar 2019 14:24:25 -0700

Hi Jason, Jon,

Please see the message at 
https://mailarchive.ietf.org/arch/msg/ietf/x4vWrIVJ172DjD-3sb-R_1jUHFY 
Could the IASA20 working group please provide a response to the 
Last-Call comments?

Adding to my previous comments, the "Executive Director" title would 
create some confusion as the person holding the position is not a 
director of the LLC Board.  The title of "Managing Director" does not 
make the distinction between Managing Director and LLC Director clear.

 From what I understand the draft updates RFC 6072 because of a title 
which comes from the reference in RFC 6072 to an obsoleted RFC 
(3979).  Why does RFC 6072 have to be updated by this (intended) BCP 
when it is not even part of the "Note Well"?

I took a quick look at some of the other BCPs related to the 
IETF.  One of them states that "there is no board of directors for 
the IETF".  That definition is likely  "historic".

Regards,
S. Moonesamy

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 15 Mar 2019 11:20:35 +1300

I'm not Jason or Jon but...

> when it is not even part of the "Note Well"?

You mean 6702. The answer is that a reader of 6702 (which is not obsolete
and is cited, e.g. in https://www.ietf.org/standards/process/informal/ )
might find the reference to "the Executive Director of the IETF"
and try to contact the wrong person. (Admittedly, only a sophisticated
reader who knows to look for updates will do this, but that's because
of the RFC archival policy.)

Why would we leave known errors in RFCs?

> the IETF".  That definition is likely  "historic".

It's still true. IETF LLC has a board, but the IETF doesn't.

The phrase seems to be in two RFCs, of which RFC4677 is already obsolete.
RFC3233 hardly mentions administration, so there is really nothing wrong
with it IMHO. Even this:

>                              The Internet Society provides many services
>    to the IETF, including insurance and some financial and logistical
>    support.

is still true, since IETF LLC is a disregarded entity of ISOC.

Regards
   Brian

---

From: S Moonesamy <[email-masked]>
Date: Thu, 14 Mar 2019 16:15:00 -0700

Hi Brian,
>I'm not Jason or Jon but...

Ok.

>of the RFC archival policy.)

Sorry, I meant RFC 6702.  That section in RFC 6702 is about 
encouraging the WG Chairs and Area Directors to send an internal IETF 
request.  I gather the persons in such positions have an adequate 
understanding of how IPR issues are handled in the IETF or can ask 
the Responsible Area Director if they have any difficulty.

According to BCP 9, informational RFCs are considered to be updated 
by RFC 7475.  However, that RFC does not show RFC 3710 as being updated.

>Why would we leave known errors in RFCs?

The practice has been to correct known errors in RFCs through errata.

>It's still true. IETF LLC has a board, but the IETF doesn't.

https://www.ietf.org/about/ has a reference to RFC 4677.  That RFC 
was obsoleted in 2012.    It looks like some parts of the IETF would 
like to have a structure without reviewing how that fits in what is 
known as the "IETF".

>The phrase seems to be in two RFCs, of which RFC4677 is already obsolete.

Yes.

>is still true, since IETF LLC is a disregarded entity of ISOC.

The part about the "insurance" is incorrect as there was a comment 
about that issue during a previous Last Call.  There are also bylaws 
which specify the role of the LLC Board.  That document specifies 
that the company has an "Executive Director".  Why does the title of 
the officer have to be replaced?

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Sun, 17 Mar 2019 12:35:04 -0700

Dear IETF Chair,

I am contacting you as, from what I understand, you are the 
Responsible Area Director for the IASA2 Working Group.  A few days 
ago, i sent an email to the IASA20 Working Group Chairs as the editor 
of draft-ietf-iasa2-consolidated-upd-07 pointed out that he may not 
be the appropriate contact to respond to the Last Call comments which 
I sent.  The IASA20 Working Group Chairs did not respond to the comments.

I took a quick look at the working group mailing list and noticed 
that the communication style [1] followed is tailored for 
participants from the United States of America.  I read the letter 
[2] from 2013 in which the question of the "legitimacy of the IETF as 
an International Standards Development Organization" was raised.  I 
would like it to be clear that I am not requesting any action on that 
as it is not within my responsibilities to work on such matters 
within an IETF context.

According to Section 6.5.1 of RFC 2026, "a person who disagrees with 
a Working Group recommendation shall always first discuss the matter 
with the Working Group's chair(s)".  It is unfortunately not possible 
for me to have such a discussion when the IASA20 Working Group Chairs 
are unresponsive.   As such, I am bringing this matter to your attention.

Regards,
S. Moonesamy

1. https://mailarchive.ietf.org/arch/msg/iasa20/EERzQooyonx-d95vtTod4uYQpfw
2. https://mailarchive.ietf.org/arch/msg/ietf/ylAGDDpDDmcEyaNHpudF4Zqlqs4

---

From: Alissa Cooper <[email-masked]>
Date: Sun, 17 Mar 2019 22:06:40 -0400

Hi SM,

A lack of response after three days’ time, two days of which are over a weekend, is not “unresponsive.” The last call for this document expires on April 1. I expect all the last call comments will be responded to in a timely fashion during or after the last call.

Alissa

> On Mar 17, 2019, at 3:35 PM, S Moonesamy <[email-masked]> wrote:
> 
> Dear IETF Chair,
> 
> I am contacting you as, from what I understand, you are the Responsible Area Director for the IASA2 Working Group.  A few days ago, i sent an email to the IASA20 Working Group Chairs as the editor of draft-ietf-iasa2-consolidated-upd-07 pointed out that he may not be the appropriate contact to respond to the Last Call comments which I sent.  The IASA20 Working Group Chairs did not respond to the comments.
> 
> I took a quick look at the working group mailing list and noticed that the communication style [1] followed is tailored for participants from the United States of America.  I read the letter [2] from 2013 in which the question of the "legitimacy of the IETF as an International Standards Development Organization" was raised.  I would like it to be clear that I am not requesting any action on that as it is not within my responsibilities to work on such matters within an IETF context.
> 
> According to Section 6.5.1 of RFC 2026, "a person who disagrees with a Working Group recommendation shall always first discuss the matter with the Working Group's chair(s)".  It is unfortunately not possible for me to have such a discussion when the IASA20 Working Group Chairs are unresponsive.   As such, I am bringing this matter to your attention.
> 
> Regards,
> S. Moonesamy
>

---

From: S Moonesamy <[email-masked]>
Date: Sun, 17 Mar 2019 22:39:23 -0700

Hi Alissa,
At 07:06 PM 17-03-2019, Alissa Cooper wrote:
>A lack of response after three days' time, two 
>days of which are over a weekend, is not 
>unresponsive. The last call for this document 
>expires on April 1. I expect all the last call 
>comments will be responded to in a timely 
>fashion during or after the last call.

Thank you for the feedback.

I requested some information relating to the 
decisions which the working group took.  If the 
information cannot be provided before the Last 
Call expires because of weekends, or for other 
reasons, I suggest that the IESG extends the Last 
Call so that there is adequate time to consider that information.

Out of curiousity, how are comments which are 
sent to [email-masked] only evaluated with respect to a "standards action"?

Regards,
S. Moonesamy

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 18 Mar 2019 04:52:27 -0700

> Call so that there is adequate time to consider that information.

Is there reason to think this will happen? April 1 is quite some time away.

-Ekr

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 18 Mar 2019 15:38:41 +0000

Speaking as IASA2 WG co-chair, we are not trying to be unresponsive - it has been just a few days and we're well within the LC timeframe. Your email hit my inbox mid-day on Thursday, and I did not work over this past weekend. Now that I am at work again today (Monday morning for me), I will take a look at your email to the IASA2 WG mailing list.

Regards
Jason

On 3/17/19, 10:07 PM, "ietf on behalf of Alissa Cooper" <[email-masked] on behalf of [email-masked]> wrote:

    Hi SM,

    Alissa

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 18 Mar 2019 15:53:51 +0000

[JL] Yes, the rest of RFC 2028 remains relevant, and it is not in scope for the IASA2 WG to materially change RFC 2028. The only change intended is to Section 3.3, as noted in Section 2 of https://tools.ietf.org/html/draft-ietf-iasa2-consolidated-upd-07. 

>    Is the Managing Director still an ex-officio participant of the IESG?
  
[JL] Yes, because no material changes to the IESG were in scope for the WG. The exact title of the position is the only change here. The current list if IESG members (for others reading this thread) is at https://www.ietf.org/about/groups/iesg/members/. 

[JL] There is no material change here either. As noted in response to your first question, the only change intended is to Section 2, as noted in Section 2 of https://tools.ietf.org/html/draft-ietf-iasa2-consolidated-upd-07. 

    all those years?

[JL] This was discussed extensively on the IASA2 WG mailing list between 12-February and 11-March, and in consultation with the RFC Editor and chairs of the IAB and IESG. The conclusion was reached that RFC 3939 be moved to historic but the IAB will need to take that step. As a result, this is a request the IAB, noted in the final paragraph of Section 1 of https://tools.ietf.org/html/draft-ietf-iasa2-consolidated-upd-07. 
    
>    RFC 4633 is a 2006 experiment.  Is it still in use?
  
[JL] See above - same as RFC 3929.

[JL] Thanks for all your questions! Hope these responses helped.

---

From: S Moonesamy <[email-masked]>
Date: Mon, 18 Mar 2019 08:57:14 -0700

Dear Mr Rescorla,
>Is there reason to think this will happen? April 1 is quite some time away.

Ms Cooper mentioned weekends.  There could be other reasons as well, 
for example, public holidays.  I do not know which days are public 
holidays in the countries where Mr Livingood and Mr Peterson 
reside.  Those persons might have work commitments.

Regards,
S. Moonesamy

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 18 Mar 2019 09:06:10 -0700

> reside.  Those persons might have work commitments.

Yes, they might, but floating an extension of last call after 4 days of
nonresponse including a weekend seems... -premature.
-Ekr

---

From: S Moonesamy <[email-masked]>
Date: Mon, 18 Mar 2019 09:12:12 -0700

Hi Jason,
>[JL] Thanks for all your questions! Hope these responses helped.

Thank you for the message at 
https://mailarchive.ietf.org/arch/msg/ietf/ZnfDJhebOKrHnhImgqNTl9RXOyU 
and for the responses to the questions.

I took a look at the WG discussions yesterday and I noticed a concern 
about "abuse of power".  Was that concern addressed?  If that is the 
case, how was it addressed?

Regards,
S. Moonesamy

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 18 Mar 2019 16:39:45 +0000

It is now moot – since I (as WG co-chair) replied earlier today, which was a roughly 2 business day response time. :-)

Regards
Jason

From: ietf <[email-masked]> on behalf of Eric Rescorla <[email-masked]>
Date: Monday, March 18, 2019 at 12:07 PM
To: S Moonesamy <[email-masked]>
Cc: IETF discussion list <[email-masked]>
Subject: Re: Last Call: <draft-ietf-iasa2-consolidated-upd-07.txt> (Consolidated IASA 2.0 Updates of IETF Administrative Terminology) to Best Current Practice

On Mon, Mar 18, 2019 at 8:57 AM S Moonesamy <[email-masked]<mailto:[email-masked]>> wrote:
Dear Mr Rescorla,

Yes, they might, but floating an extension of last call after 4 days of nonresponse including a weekend seems... -premature.
-Ekr

Regards,
S. Moonesamy

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 18 Mar 2019 16:46:37 +0000

Alissa's response on 8-March seems to have responded to John's question. That said:
"The point of AD evaluation is to catch things like this. But if the WG chairs would like to issue a consensus call about whether this WG should do something outside its charter, I can wait to request the issuance of the IETF last call until that is done."

It is my assessment as WG co-chair that the WG is wrapping up its work and there's no justification to re-visit and expand the WG's scope - especially given that WG participants have repeatedly urged us to remain within the existing scope.   

Jason

On 3/18/19, 12:13 PM, "S Moonesamy" <[email-masked]> wrote:

    Hi Jason,

    
    Regards,
    S. Moonesamy